
var RequestNetOptions = function() {
	this.encrypt = false;
	
	this.indicator = true;
	
	this.indicatorMsg = '';
	
	this.dummy = false;
	
	this.retargetUrl = ""
	
	this.cancelable = false;
}
var commReqNetOptions = new RequestNetOptions();
commReqNetOptions.encrypt = false;
commReqNetOptions.indicator = true;
commReqNetOptions.indicatorMsg = '';
commReqNetOptions.dummy = false;
commReqNetOptions.retargetUrl = '';
commReqNetOptions.cancelable = false;

function CBCommonNetworkHandlingError(callerServerName, trCode, errCode, errMessage) {

	if (errCode == '504') {
		alert(errMessage);
		return;
	}

	onHandlingNetworkError(callerServerName, trCode, errCode, errMessage);
}



function EXWNCertList() {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNCertList');
    }
    else if(wnIf.device == DT_ANDROID) {
        return Native.exWNCertList();
    }
}

function EXWNCertDetail(subjectDN) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNCertDetail',subjectDN);
    }
    else if(wnIf.device == DT_ANDROID) {
        return Native.exWNCertDetail(subjectDN);
    }
}

function EXWNCertdelete(subjectDN) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNCertdelete',subjectDN);
    }
    else if(wnIf.device == DT_ANDROID) {
        return Native.exWNCertdelete(subjectDN);
    }
}



function EXWNChangeCertPassword(subjectDN,chagePasswd,curentPasswd) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNChangeCertPassword',subjectDN,chagePasswd,curentPasswd);
    }
    else if(wnIf.device == DT_ANDROID) {
        return Native.exWNChangeCertPassword(subjectDN,chagePasswd,curentPasswd);
    }
}

function EXWNCertConfirm(subjectDN,idNum,passwd) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNCertConfirm',subjectDN,idNum,passwd);
    }
    else if(wnIf.device == DT_ANDROID) {
        return Native.exWNCertConfirm(subjectDN,idNum,passwd);
    }
}

function EXWNCertPassConfirm(subjectDN,passwd) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNCertPassConfirm',subjectDN,passwd);
    }
    else if(wnIf.device == DT_ANDROID) {
        return Native.exWNCertPassConfirm(subjectDN,passwd);
    }
}



function getChallenge(callBack){

	var osNm;
	if(wnIf.device == DT_IOS) {
		osNm = "2";
		var appName = "NHIBZBANK" + WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION + osNm;

		ExAjax.ajax({
			url      : WNGetVariable("URL_CHALLENGE") + '?CODEGUARD_CMD=200&CODE_APP_INFO=' + appName,
			type     : "POST",
			encoding : 'UTF-8',
			header   : {},
			body     : '',
			success : function(response) {

				var re	= JSON.parse(response);
				WNSetVariable("CODE_CHALLENGE", re.CODE_CHALLENGE);

			},
			fail : function(errorMsg) {
				WNSetVariable("CODE_CHALLENGE", "");
			}

		});
	} else if(wnIf.device == DT_ANDROID) {
		osNm = "1";
		var appCode = "_"+Native.exWNVersionCode();
		
		var appName = "NHIBZBANK" + WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION + appCode + osNm;   
		    
	    var sendData = new Object();
	    sendData.CODEGUARD_CMD = "200";
	    sendData.CODE_APP_INFO = appName;
	    
	    var commReqNetOptions = new RequestNetOptions();
	    commReqNetOptions.indicatorMsg = '로딩중입니다...';
	    commReqNetOptions.restAction = 'GET'; 
	    commReqNetOptions.retargetUrl = WNGetVariable("URL_CHALLENGE") + "?CODEGUARD_CMD=200&CODE_APP_INFO=" + appName;
	    WNHttpSendData(NHnetworkName, "CODEGUARD", "CBChallenge", sendData, commReqNetOptions, null);
	}
}

function CBChallenge(trCode,receivedData, tagId){
	WNSetVariable("CODE_CHALLENGE", receivedData.CODE_CHALLENGE);
}

function EXWNLogin(_signData,cbfunc) {

    if(_signData == "" || _signData == null) {
        alert("서명 데이터가 없습니다.");
        return;
    }
    
    var sendData = new Object();
    sendData.com_cmd = "cib00000005";
    sendData.cmd = "01";
    sendData.passtype = "00";
    sendData.SSLSIGN_TBS_DATA = "tbs";
    sendData.SSLSIGN_SIGNATURE = _signData;
    var commReqNetOptions = new RequestNetOptions();
    commReqNetOptions.indicatorMsg = '로그인중입니다...';
    commReqNetOptions.retargetUrl = '';
    WNHttpSendData("HTTP_NH_MAIN", "nhcib.nhcib", "CBResponse_cib00000005", sendData, commReqNetOptions, cbfunc);

}
function CBResponse_cib00000005(trCode,receivedData, tagId) { 
    if( !NHerrorFormat(receivedData) ){
        eval(decodeURIComponent(tagId))(decodeURIComponent(JSON.stringify(receivedData)));
    }
}


function EXWNSign(tbs, subjectDN, passwd) {
    if(wnIf.device == DT_IOS) {   	
        return IOSNative.callSynchronous('EXWNSign', tbs, subjectDN, passwd);
    }
    else if(wnIf.device == DT_ANDROID) {
        return Native.exWNSign(tbs, subjectDN, passwd);
    }
}



function EXWNSKeyboard(mode,tagName,lenLimit,desc) {
    if(wnIf.device == DT_IOS) {
		if ( document.getElementById('HEADER') ) {
			document.getElementById('HEADER').style.position = 'absolute';
		}
		if ( document.getElementById('FOOTER') ) {
			if((navigator.userAgent.match(/iPad/i))) {
				document.getElementById('FOOTER').style.display = 'none';
			}
		}
         IOSNative.callAsynchronous('EXWNSKeyboard',mode,tagName,lenLimit,desc);
    }
    else if(wnIf.device == DT_ANDROID) {
        Native.exWNSKeyboard(mode,tagName,lenLimit,desc);
    }
}

function CBExWNNFSecurityKeyboard(cbfunc,value,encValue,length)
{
    if(wnIf.device == DT_IOS) {
        eval(decodeURIComponent(cbfunc))(decodeURIComponent(value),decodeURIComponent(encValue),decodeURIComponent(length));
    }
    else if(wnIf.device == DT_ANDROID) {
        eval(cbfunc)(value,encValue,length);
    }
    else {
        
    }
}

function EXWNSKeyboardMask(mode,tagName,lenLimit,desc,mask) {
    if(wnIf.device == DT_IOS) {
		if ( document.getElementById('HEADER') ) {
			document.getElementById('HEADER').style.position = 'absolute';
		}
		if ( document.getElementById('FOOTER') ) {
			if((navigator.userAgent.match(/iPad/i))) {
				document.getElementById('FOOTER').style.display = 'none';
			}
		}
        IOSNative.callAsynchronous('EXWNSKeyboardMask',mode,tagName,lenLimit,desc,mask);
    }
    else if(wnIf.device == DT_ANDROID) {
        Native.exWNSKeyboardMask(mode,tagName,lenLimit,desc,mask);
    }
}


function EXWNCertAuthNum() {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNCertAuthNum');
    }
    else if(wnIf.device == DT_ANDROID) {
       return Native.exWNCertAuthNum();
    }
}

function EXWNVerifyP12Uploaded() {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNVerifyP12Uploaded');
    }
    else if(wnIf.device == DT_ANDROID) {
        return Native.exWNVerifyP12Uploaded();
    }
}

function EXWNGetCertImport(password) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNGetCertImport',password);
    }
    else if(wnIf.device == DT_ANDROID) {
       return Native.exWNGetCertImport(password);
    }
}

function EXWNExportCert(subjectDN,password) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNExportCert',subjectDN,password);
    }
    else if(wnIf.device == DT_ANDROID) {
       return Native.exWNExportCert(subjectDN,password);
    }
}


function EXWNCertIssueIn(password,caip,caport,refcode,passcode,regNum,signgate) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNCertIssueIn',password,caip,caport,refcode,passcode,regNum,signgate);
    }
    else if(wnIf.device == DT_ANDROID) {
        return Native.exWNCertIssueIn(password,caip,caport,refcode,passcode,regNum,signgate);
    }
}
    
function EXWNUpdateCert(subjectDN,password,caip,caport) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNUpdateCert',subjectDN,password,caip,caport);
    }
    else if(wnIf.device == DT_ANDROID) {
       return Native.exWNUpdateCert(subjectDN,password,caip,caport);
    }
}

function EXWNRevokeCert(serial,caname) {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNRevokeCert',serial,caname);
    }
    else if(wnIf.device == DT_ANDROID) {
       return Native.exWNRevokeCert(serial,caname);
    }
}

function EXWNShowIndicator(msg) {
    if(wnIf.device == DT_IOS) {
        IOSNative.callAsynchronous('EXWNShowIndicator',msg);
    }
    else if(wnIf.device == DT_ANDROID) {
       Native.exWNShowIndicator(msg);
    }
}

function EXWNHideIndicator() {
    if(wnIf.device == DT_IOS) {
    	IOSNative.callAsynchronous('EXWNHideIndicator');
    }
    else if(wnIf.device == DT_ANDROID) {
       Native.exWNHideIndicator();
    }
}


function WNMoveToContacts(cbfunc) {
	if (wnIf.device == DT_IOS) {
		IOSNative.callAsynchronous('WNMoveToContacts', cbfunc);
	}
	else if (wnIf.device == DT_ANDROID) {
		Native.WNMoveToContacts(checkCallBackParam(cbfunc));
	}
}

function EXWNSKeyboardPublickey(url) {
    if(wnIf.device == DT_IOS) {
        IOSNative.callAsynchronous('EXWNSKeyboardPublickey',url);
    }
    else if(wnIf.device == DT_ANDROID) {
        Native.exWNSKeyboardPublickey(url);
    }
}

function EXWNExitProgram(){
	
	if(wnIf.device == DT_IOS) {
		WNExitProgram();
	}
	else if(wnIf.device == DT_ANDROID) {
        try {
            Native.stopV3Mobile();
        	setTimeout(function () { WNExitProgram(); }, 500);
        } catch(e) {
        	WNExitProgram();
        } 
	}
}



var ExAjax = new function() {
    
    this.cbfuncs = {};
    
    this.ajax = function(params) {
        var _type = (params.type == undefined || params.type == '') ? 'GET' : params.type;
        var _url  = params.url;
        if(params.url == undefined || params.url == '') {
            throw new Exception('url is null');
        }
        var _enc     = params.encoding == undefined ? 'UTF-8' : params.encoding;
        if(_enc != 'UTF-8' && _enc != 'EUC-KR') _enc = 'UTF-8';
        var _header  = params.header  == undefined ? {} : params.header;
        var _body    = params.body    == undefined ? '' : params.body;
        var _success = params.success == undefined ? function(){} : params.success;
        var _fail    = params.fail    == undefined ? function(){} : params.fail;
        
        var _s_cb_key = this.cbKeygen(_success);
        var _f_cb_key = this.cbKeygen(_fail);
        
        var _params = {
            type     : _type,
            url      : _url,
            header   : _header,
            body     : _body,
            encoding : _enc,
            success  : _s_cb_key,
            fail     : _f_cb_key,
        };
        if (wnIf.device == DT_IOS) {
            IOSNative.callAsynchronous('ExWNAjax', JSON.stringify(_params));
        }
        else if (wnIf.device == DT_ANDROID) {
            Native.exWNAjax(JSON.stringify(_params));
        }
    };
    this.cbKeygen = function (cbfunc) {
        var key = '';
        while (true) {
            key = (Math.random() + "").split(".")[1] + '';
            if (this.cbfuncs[key] == undefined) break;
        }
        this.cbfuncs[key] = cbfunc;
        
        return key;
    }
};

function EXWNBreakOutCheck() {
    if(wnIf.device == DT_IOS) {
        return IOSNative.callSynchronous('EXWNBreakOutCheck');
    }
    else if(wnIf.device == DT_ANDROID) {
    }
}

function ExWNUnZipInitialResource(zip_file_src, version)
{
 if (zip_file_src == undefined || zip_file_src == null || zip_file_src == "") {
     var rtn_obj = new Object();
     rtn_obj.event = "ERROR";
     ExCBUnZipInitialResource("FAIL", rtn_obj);
     return;
 }
 
 if (version == undefined || version == null || version == "") {
     var rtn_obj = new Object();
     rtn_obj.event = "ERROR";
     ExCBUnZipInitialResource("FAIL", rtn_obj);
 }
 
 if(wnIf.device == DT_IOS) {
     IOSNative.callAsynchronous('ExWNUnZipInitialResource', zip_file_src, version);
     return;
 }
 else if(wnIf.device == DT_ANDROID) {
     Native.exWNUnZipInitialResource(zip_file_src, version);
     return;
 } else {
     var rtn_obj = new Object();
     rtn_obj.event = "ERROR";
     ExCBUnZipInitialResource("NS", rtn_obj);
 }
}

function ExWNCheckInitialResourceUnZip(version)
{
 if (version == undefined || version == null || version == "") {
     return "NO";
 }
 if(wnIf.device == DT_IOS) {
     return IOSNative.callSynchronous('ExWNCheckInitialResourceUnZip', version);
 }
 else if(wnIf.device == DT_ANDROID) {
     return Native.exWNCheckInitialResourceUnZip(version);
 } else {
     return "NO";
 }
}



function EXWNGetDeviceInfo(url){
        
	if(wnIf.device == DT_IOS)
	{
		IOSNative.callSynchronous('exWNGetDeviceInfo',url);
	}
	else if(wnIf.device == DT_ANDROID)
	{
		Native.getDeviceInfo(url);
	}
}

function EXWNSetDeviceInfo(){
	if(wnIf.device == DT_IOS)
	{
		return IOSNative.callSynchronous('exWNSetDeviceInfo');
	}
	else if(wnIf.device == DT_ANDROID)
	{
		return Native.setDeviceInfo();
	}
}


function CBSSLValidationError(code) {
    var message = "고객님의 안전한 금융거래를 위해 서비스를 제한합니다. [" + code + "]";
    var title = "알림";
    var buttonInfo = {
        "buttonInfo": [{
            "title": "예",
            "cbFuncName": "logoutMoveToMain"
        }]
    };

    WNPopupConfirm(title, message, buttonInfo);
}


function CBDeviceGuardError(msg) {
    var title = "알림";
    var buttonInfo = {
        "buttonInfo": [{
            "title": "예",
            "cbFuncName": "logoutMoveToMain"
        }]
    };

    WNPopupConfirm(title, msg, buttonInfo);
}

function clearCodeGuard(){
	if(wnIf.device == DT_ANDROID){
		if(typeof Native.clearCodeGuard == 'function'){
			Native.clearCodeGuard();
		}
	}
}

function exKakaoTalkLink(text){
    if(wnIf.device == DT_ANDROID){
         return Native.sendKakaoTalkLink(text);
    }
}

function getDecryptStr(str) {
	if (str == "") {
		return "";
	} else {
		if (wnIf.device == DT_IOS) {
			var result = IOSNative.callSynchronous("EXWNGetDecryptString", str);
			
			if(result) {
				return result;
			} else {
				return str;
			}
		} else if (wnIf.device == DT_ANDROID) {
			return Native.EXWNGetDecryptString(str);
		}
	}
}

function exWNgetEncData(callFunc, type , data ){
	var type = type;
	var data = data;
	
	if(wnIf.device == DT_ANDROID && typeof Native.exWNgetEncData == 'function') {
		return Native.exWNgetEncData(callFunc, type, data);
	} else if(wnIf.device == DT_IOS) {
		return IOSNative.callSynchronous('EXWNgetEncData', callFunc, type , data);
	}
}

function exWNgetEncDataSession(callFunc, type , data ){
	var type = type;
	var data = data;
	
	if(wnIf.device == DT_ANDROID && typeof Native.exWNgetEncDataSession == 'function') {
		return Native.exWNgetEncDataSession(callFunc, type, data);
	} else if(wnIf.device == DT_IOS) {
		return IOSNative.callSynchronous('EXWNgetEncDataSession', callFunc, type , data);
	}
}

function exWNIsRunV3MobilePlus(){
	if(wnIf.device == DT_ANDROID){
		if(typeof Native.exWNIsRunV3MobilePlus == 'function'){
			return Native.exWNIsRunV3MobilePlus();
		}else{
			var result = "TRUE";
			return result;
		}
	}
}

function exWNStartV3Mobile(){
	Native.exWNStartV3Mobile();
}

function ignoreTempImg(){
	if(wnIf.device == DT_IOS){
		IOSNative.callAsynchronous('EXWNIgnoreTempImg');
	}
}

function exWNEndEditing(){
	if(wnIf.device == DT_IOS){
		IOSNative.callAsynchronous('EXWNEndEditing');
		
		if (document.querySelector('#HEADER')) {
			document.querySelector('#HEADER').style.position = 'fixed';
		}
	}
}


var _SimpleSignData_ = {"userid":"", "pin":"", "devc_no_cntn":"", "pttel_no":"", "amn_brc":"", "invt_emp_eno":"", "os":"", "func":""};


function EXWNgetChkPinFunc() {
	if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_reg_sp1 == 'function') {
		return true;
	} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
		return true;
	} else {
		var title = "알림";
		var message = "간편뱅킹을 사용하기 위해서 새로운 버전으로 업데이트 해야 합니다. 지금 업데이트 하시겠습니까?";
		var buttonInfo = {
			"buttonInfo" : [
			    {"title" : "취소", "cbFuncName" : ""},
				{"title" : "확인", "cbFuncName" : "util_moveToMarket"}
			]
		};
		WNPopupConfirm(title, message, buttonInfo);
	}
}

function initSimpleSignData(removeClassYn, errMsg) {
	_SimpleSignData_ = {
		"userid":"",
		"pin":"",
		"devc_no_cntn":"",
		"pttel_no":"",
		"amn_brc":"",
		"invt_emp_eno":"",
		"os":"",
		"func":""
	};
	
	if(removeClassYn != undefined && removeClassYn != "" && removeClassYn == "Y") {
		$("#simpleLink > span").removeClass("active");
	}
	
	if(errMsg != undefined && errMsg != "") {
		alert(errMsg);
	}
}

function EXWNregisterPin(data) {
	
	initSimpleSignData("","");
	
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(가입) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	
	_SimpleSignData_.userid 		= data.userid;
	_SimpleSignData_.pin 			= data.pin;
	_SimpleSignData_.devc_no_cntn 	= data.devc_no_cntn;
	_SimpleSignData_.pttel_no 		= data.pttel_no;
	_SimpleSignData_.amn_brc 		= data.amn_brc;
	_SimpleSignData_.invt_emp_eno 	= data.invt_emp_eno;
	_SimpleSignData_.func			= data.func;
	
	try {
		if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_reg_sp1 == 'function') {
			res = Native.EXWNsrp_reg_sp1(_SimpleSignData_.pin);
			_SimpleSignData_.os = "A";
		} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
			res = IOSNative.callSynchronous('EXWNsrp_reg_sp1', _SimpleSignData_.pin);
			_SimpleSignData_.os = "I";
		} else {
			return;
		}
	} catch(e) {
		initSimpleSignData("", errMsg);
		return;
	}
	
	var jsonData = JSON.parse(res);
	if(jsonData.resultCode == "SUCCESS") {
		var sendData = new Object();
	    sendData.CMD = "REG";
	    sendData.USERID = _SimpleSignData_.userid;
	    sendData.SRPCMD = "INIT";
	    sendData.SRPMSG = jsonData.resultMsg;
	    commReqNetOptions.indicator = false;
	    
	    EXWNShowIndicator('');
	    
	    WNHttpSendData(NHnetworkName, "SBECS010R.cmd", "EXWNsrpRegSp2", sendData, commReqNetOptions, null);	
	} else {
		EXWNHideIndicator();
		initSimpleSignData("", errMsg);
		return;
	}
}

function EXWNsrpRegSp2(trCode, receivedData, tagId) {
	commReqNetOptions.indicator = true;
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(가입) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	
	if(!NHerrorFormat(receivedData, "", false)) {
		try {
			if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_reg_sp2 == 'function') {
				res = Native.EXWNsrp_reg_sp2(receivedData.srpmsg);
			} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
				res = IOSNative.callSynchronous('EXWNsrp_reg_sp2', receivedData.srpmsg);
			} else {
				EXWNHideIndicator();
				return;
			}
		} catch(e) {
			EXWNHideIndicator();
			initSimpleSignData("", errMsg);
			return;
		}
		
		var jsonData = JSON.parse(res);
		if(jsonData.resultCode == "SUCCESS") {
			var sendData = new Object();
			sendData.CMD = "REG";
		    sendData.SRPCMD = "ENC";
		    sendData.SRPMSG = jsonData.resultMsg;
		    commReqNetOptions.indicator = false;
		    WNHttpSendData(NHnetworkName, "SBECS010R.cmd", "EXWNsrpRegSp3", sendData, commReqNetOptions, null);	
		} else {
			EXWNHideIndicator();
			initSimpleSignData("", errMsg);
			return;
		}
	} else {
		EXWNHideIndicator();
		initSimpleSignData("", "");
		return;
	}
}
function EXWNsrpRegSp3(trCode, receivedData, tagId) {
	commReqNetOptions.indicator = true;
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(가입) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	
	if(!NHerrorFormat(receivedData, "", false)) {
		try {
			if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_reg_sp3 == 'function') {
				res = Native.EXWNsrp_reg_sp3(receivedData.srpmsg);
			} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
				res = IOSNative.callSynchronous('EXWNsrp_reg_sp3', receivedData.srpmsg);
			} else {
				EXWNHideIndicator();
				return;
			}
		} catch(e) {
			EXWNHideIndicator();
			initSimpleSignData("", errMsg);
			return;
		}
		
		var jsonData = JSON.parse(res);
		if(jsonData.resultCode == "SUCCESS") {
			var sendData = new Object();
	        sendData.CMD 			= "REG";
	        sendData.SRPCMD 		= "FINISH";
	        sendData.SRPMSG 		= JSON.parse(jsonData.resultMsg).SRPMSG;
	        sendData.SIGNPUB 		= JSON.parse(jsonData.resultMsg).SIGNPUB;
	        sendData.os_dsc			= _SimpleSignData_.os;
	        sendData.devc_no_cntn 	= _SimpleSignData_.devc_no_cntn;
	        sendData.pttel_no 		= _SimpleSignData_.pttel_no;
	        sendData.amn_brc 		= _SimpleSignData_.amn_brc;
	        sendData.invt_emp_eno 	= _SimpleSignData_.invt_emp_eno;
	        commReqNetOptions.indicator = false;
	        WNHttpSendData(NHnetworkName, "SBECS010R.cmd", "EXWNsrpSaveCert", sendData, commReqNetOptions, null);
		} else {
			EXWNHideIndicator();
			initSimpleSignData("", errMsg);
			return;
		}
	} else {
		EXWNHideIndicator();
		initSimpleSignData("", "");
		return;
	}
}

function EXWNsrpSaveCert(trCode, receivedData, tagId) {
	commReqNetOptions.indicator = true;
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(가입) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	
	if(!NHerrorFormat(receivedData, "", false)) {
		try {
			if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_save_cert == 'function') {
				res = Native.EXWNsrp_save_cert(receivedData.certificate, _SimpleSignData_.userid);
			} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
				res = IOSNative.callSynchronous('EXWNsrp_save_cert', receivedData.certificate, _SimpleSignData_.userid);
			} else {
				EXWNHideIndicator();
				return;
			}
		} catch(e) {
			EXWNHideIndicator();
			initSimpleSignData("", errMsg);
			return;
		}
		
		var jsonData = JSON.parse(res);
		if(jsonData.resultCode == "SUCCESS") {
			var callbackFunc = _SimpleSignData_.func;
			
			initSimpleSignData("", "");
			EXWNHideIndicator();
			callbackFunc(jsonData.resultCode, jsonData.resultMsg);
		} else {
			EXWNHideIndicator();
			initSimpleSignData("", errMsg);
			return;
		}
	} else {
		EXWNHideIndicator();
		initSimpleSignData("", "");
		return;
	}
}


function EXWNpinSign(cbfunc, pin) {
	
	initSimpleSignData("", "");
   	EXWNShowIndicator('');
   	
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(인증) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	
	_SimpleSignData_.func 	= cbfunc;
	_SimpleSignData_.pin 	= pin;
	
	try {
		if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_dec_sp1 == 'function') {
			res = Native.EXWNsrp_dec_sp1(_SimpleSignData_.pin);
		} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
			res = IOSNative.callSynchronous('EXWNsrp_dec_sp1', _SimpleSignData_.pin);
		} else {
			return;
		}
	} catch(e) {
		initSimpleSignData("Y", errMsg);
		return;
	}
	
	var jsonData = JSON.parse(res);
	if(jsonData.resultCode == "SUCCESS") {
		var sendData = new Object();
	    sendData.CMD = "AUTH";
	    sendData.SRPCMD = "INIT";
	    sendData.SRPMSG = jsonData.resultMsg;
	    commReqNetOptions.indicator = false;
	    
	    EXWNShowIndicator('');
	    
	    WNHttpSendData(NHnetworkName, "SBECS011R.cmd", "EXWNsrpDecSp2", sendData, commReqNetOptions, null);
	} else {
		initSimpleSignData("Y", errMsg);
		return;
	}
}


function EXWNsrpDecSp2(trCode, receivedData, tagId) {
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(인증) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	commReqNetOptions.indicator = true;
	if(!NHerrorFormat(receivedData, "", false)) {
		try {
			if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_dec_sp2 == 'function') {
				res = Native.EXWNsrp_dec_sp2(receivedData.srpmsg);
			} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
				res = IOSNative.callSynchronous('EXWNsrp_dec_sp2', receivedData.srpmsg);
			} else {
				EXWNHideIndicator();
				return;
			}
		} catch(e) {
			EXWNHideIndicator();
			initSimpleSignData("Y", errMsg);
			return;
		}
		
		var jsonData = JSON.parse(res);
		if(jsonData.resultCode == "SUCCESS") {
			var sendData = new Object();
	        sendData.CMD = "AUTH";
	        sendData.SRPCMD = "ENC";
	        sendData.SRPMSG = jsonData.resultMsg;
	        commReqNetOptions.indicator = false;
	        WNHttpSendData(NHnetworkName, "SBECS011R.cmd", "EXWNsrpDecSp3", sendData, commReqNetOptions, null);
		} else {
			$("#simpleLink > span").removeClass("active");
			EXWNHideIndicator();
			initSimpleSignData("Y", errMsg);
			return;
		}
	} else {
		$("#simpleLink > span").removeClass("active");
		EXWNHideIndicator();
		initSimpleSignData("Y", "");
		return;
	}
}

function EXWNsrpDecSp3(trCode, receivedData, tagId){
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(인증) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	commReqNetOptions.indicator = true;
	
	if(!NHerrorFormat(receivedData, "", false)) {
		try {
			if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_dec_sp3 == 'function') {
				res = Native.EXWNsrp_dec_sp3(receivedData.srpmsg);
			} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
				res = IOSNative.callSynchronous('EXWNsrp_dec_sp3', receivedData.srpmsg);
			} else {
				EXWNHideIndicator();
				return;
			}
		} catch(e) {
			EXWNHideIndicator();
			initSimpleSignData("Y", errMsg);
			return;
		}
		
		var jsonData = JSON.parse(res);
		if(jsonData.resultCode == "SUCCESS") {
			var cbfunc = _SimpleSignData_.func;
			initSimpleSignData("", "");
			
			var sendData = new Object();
	        sendData.CMD = "AUTH";
	        sendData.SRPCMD = "FINISH";
	        sendData.SRPMSG = jsonData.resultMsg;
	        commReqNetOptions.indicator = false;
	        WNHttpSendData(NHnetworkName, "SBECS011R.cmd", cbfunc, sendData, commReqNetOptions, null);
		} else {
			EXWNHideIndicator();
			initSimpleSignData("Y", errMsg);
			return;
		}
	} else {
		EXWNHideIndicator();
		initSimpleSignData("Y", "");
		return;
	}
}

function EXWNsrpSign(srpMsg, tbsData) {
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(전자서명) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	commReqNetOptions.indicator = true;
	
	try {
		if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_sign == 'function') {
			res = Native.EXWNsrp_sign(srpMsg, tbsData);
		} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
			res = IOSNative.callSynchronous('EXWNsrp_sign', srpMsg, tbsData);
		} else {
			EXWNHideIndicator();
			initSimpleSignData("Y","");
			return;
		}
	} catch(e) {
		EXWNHideIndicator();
		initSimpleSignData("Y", errMsg);
		return;
	}
	
	if(res != "") {
		var jsonData = JSON.parse(res);
		EXWNHideIndicator();
		if(jsonData.resultCode == "SUCCESS") {
			return jsonData;
		} else {
			initSimpleSignData("Y", errMsg);
			return "";
		}
	} else {
		EXWNHideIndicator();
		initSimpleSignData("Y", errMsg);
		return "";
	}
}

function EXWNsrpCheckUser() {
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(인증서정보조회) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	
	try {
		if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_checkSaveUser == 'function') {
			res = Native.EXWNsrp_checkSaveUser();
		} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
			res = IOSNative.callSynchronous('EXWNsrp_checkSaveUser');
		} else {
			return;
		}
	} catch(e) {
		alert(errMsg);
		return "";
	}
	return JSON.parse(res);
}

function EXWNsrpGetKid() {
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(아이디조회) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	
	try {
		if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_getKid == 'function') {
			res = Native.EXWNsrp_getKid();
		} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
			res = IOSNative.callSynchronous('EXWNsrp_getKid');
		} else {
			return;
		}
	} catch(e) {
		alert(errMsg);
		return "";
	}
	return JSON.parse(res);
}

function EXWNsrpDelete() {
	var res = "";
	var errMsg = '죄송합니다. 간편뱅킹(인증서삭제) 관련 오류입니다. \n잠시후 다시 거래해주시길 바랍니다.';
	
	try {
		if(wnIf.device == DT_ANDROID && typeof Native.EXWNsrp_srpDelete == 'function') {
			res = Native.EXWNsrp_srpDelete();
		} else if(wnIf.device == DT_IOS && WNGetDeviceInfo().DEVINFO_SOFTWARE_VERSION > 6.3) {
			res = IOSNative.callSynchronous('EXWNsrp_srpDelete');
		} else {
			return;
		}
	} catch(e) {
		alert(errMsg);
		return "";
	}
	return JSON.parse(res);
}

function EXWNremovePageInPStack(url) {
	var tmpUrl = url.substr(url.lastIndexOf("/") + 1);
	try {
		if(WNGetPageInPStack(url).status == 'SELECTED') {
			WNRemovePageInPStack(url);
		}
	} catch(e) {
		WNLog( "WNRemovePageInPStack", url + " ERROR!");
	}
}


