var iNotAcctNo = new Array (
'011',
'020',
'026',
'072',
'082',
'083',
'085',
'061',
'062',
'075',
'078'
);

var iNotAcctName = new Array (
'농협은행여신',	
'공제대출',	
'카드론',	
'신탁대출',	
'어음할인',	
'지급보증',	
'여신관리자금',
'상호금융대출',
'정책자금중장기대출',
'영농자금대출',
'주택도시기금'
);

function isAccountLen(fl,acct){
		ACCMINLEN = 11 ;
		ACCMAXLEN = 15 ;

	if(fl=='1'){
		ACCMAXLEN =  parseInt(ACCMAXLEN) - 1 ;
	}
	if(fl=='2'){
		ACCMINLEN =  parseInt(ACCMINLEN) + 1 ;
	}

	if( acct.length < ACCMINLEN  || acct.length > ACCMAXLEN){
		return false;
	}else{
		return true;
	}
}

function isNotIAcct(mFlag,str){ 
	var acctNo = str;  
	for(var i=0;i < iNotAcctNo.length ; i++){
		if(getMappingGwamok(getNewAccountGwamok(acctNo)) == iNotAcctNo[i]){ 
			return false;
		}			
	}
	return true;
}

var OUTACC = 15;
var INACC = 14;
function addZeroTrim(mFlag, str){  
    	
	var zeroStr = str;
	
	if(mFlag=="1"){
		for(i=str.length;i< INACC ; i++){
			zeroStr = "0" + zeroStr ;
		}
	}else{
		for(i=str.length;i< OUTACC ; i++){
			zeroStr = "0" + zeroStr ;
		}
	}    	  	  	
	return zeroStr;	
}

function iNotAcctNm(mFlag,str){ 
		var acctNo = addZeroTrim(mFlag,str); 
		for(var i=0;i < iNotAcctNo.length ; i++){
             if(getMappingGwamok(getNewAccountGwamok(acctNo)) == iNotAcctNo[i]){
				return iNotAcctName[i];
			}			
		}
		return "";
}


function getNewAccountGwamok(sAccount) {
    var   bValid          = false;
    var   sNewGwamok      = null;
    var   sCheckVirtual   = null;
    var   sFullAccount    = null;
    var   iAccountlength  = 0;
  
    sAccount = sAccount.trim();
    if(sAccount.indexOf("-") > 0) sAccount = removeProcess(sAccount,"-");
    sFullAccount = FillZeroAccount(removeProcess(sAccount," "));
    sCheckVirtual = sAccount.substring(0,3);
    iAccountlength = sAccount.length;
  
  
      if (iAccountlength == 11) {
              sNewGwamok = "0"+sAccount.substring(3,5);
      } else if (iAccountlength == 12) {
              sNewGwamok = "0"+sAccount.substring(4,6);
      } else if(iAccountlength == 13) {
              sNewGwamok = sAccount.substring(0,3);
      } else if(iAccountlength == 14) {
            if ( isVirtualAccount(sAccount) ) {
                sNewGwamok = sAccount.substring(0,3);
            }else{
                sNewGwamok = "0"+sAccount.substring(6,8);
            }
      } else if(iAccountlength == 15) {
              sNewGwamok = sAccount.substring(6,9);
      } else if(iAccountlength == 16) {
              sNewGwamok = sAccount.substring(0,4);
      }
      return sNewGwamok;
 }
 

function FillZeroAccount(sAccount) {
  sAccount = sAccount.trim();
  var   sReturnAccount = "";
  var   sTempValue     = "";
  var   iAccountlength = 0;
  iAccountlength = sAccount.length;

  for(i=0; i < (15-iAccountlength); i++) {
      sTempValue = "0"+sTempValue;
  }
  sReturnAccount = sTempValue + sAccount;

  return sReturnAccount;
}

function removeProcess(str, delim){
	var retStr = '';
	if(str == null || str == '' || delim == null || delim == '')	return '';
	for(var i=0; i<str.length; i++) {
		if(str.charAt(i) != delim) {
			retStr = retStr + str.charAt(i);
		}
	}
	return retStr;
}

function isVirtualAccount(sAccount) {
  var   bValid      = false;
  var   sNewGwamok  = "";

  sAccount = sAccount.trim();
  if(sAccount.length == 14) {
      sNewGwamok = sAccount.substring(0,3);
      if(sNewGwamok == "790" || sNewGwamok == "791" || sNewGwamok == "792") bValid = true;
      else bValid = false;
  }
  return bValid;
}

function getMappingGwamok(sGwamok) {
  var sRetGwamok   = "";

  if(sGwamok.length == 2) sGwamok = "0" + sGwamok;

  if("001" == sGwamok || "301" == sGwamok || "501" == sGwamok) sRetGwamok = "001";
  else if("002" == sGwamok || "302" == sGwamok || "502" == sGwamok) sRetGwamok = "002";
  else if("003" == sGwamok || "303" == sGwamok) sRetGwamok = "003";
  else if("004" == sGwamok || "304" == sGwamok) sRetGwamok = "004";
  else if("005" == sGwamok || "305" == sGwamok || "505" == sGwamok) sRetGwamok = "005";
  else if("006" == sGwamok || "306" == sGwamok || "506" == sGwamok) sRetGwamok = "006";
  else if("012" == sGwamok || "312" == sGwamok || "512" == sGwamok) sRetGwamok = "012";
  else if("017" == sGwamok || "317" == sGwamok || "517" == sGwamok) sRetGwamok = "017";
  else if("023" == sGwamok || "323" == sGwamok) sRetGwamok = "023";
  else if("048" == sGwamok || "348" == sGwamok) sRetGwamok = "048";
  else if("051" == sGwamok || "351" == sGwamok || "551" == sGwamok) sRetGwamok = "051";
  else if("052" == sGwamok || "352" == sGwamok || "552" == sGwamok) sRetGwamok = "052";
  else if("053" == sGwamok || "353" == sGwamok) sRetGwamok = "053";
  else if("055" == sGwamok || "355" == sGwamok || "555" == sGwamok) sRetGwamok = "055";
  else if("056" == sGwamok || "356" == sGwamok || "556" == sGwamok) sRetGwamok = "056";
  else if("074" == sGwamok || "374" == sGwamok || "574" == sGwamok) sRetGwamok = "074";
  else if("010" == sGwamok || "310" == sGwamok) sRetGwamok = "010";
  else if("014" == sGwamok || "314" == sGwamok) sRetGwamok = "014";
  else if("021" == sGwamok || "321" == sGwamok) sRetGwamok = "021";
  else if("044" == sGwamok || "344" == sGwamok) sRetGwamok = "044";
  else if("047" == sGwamok || "347" == sGwamok) sRetGwamok = "047";
  else if("045" == sGwamok || "345" == sGwamok) sRetGwamok = "045";
  else if("049" == sGwamok || "349" == sGwamok) sRetGwamok = "049";
  else if("054" == sGwamok || "354" == sGwamok) sRetGwamok = "054";
  else if("059" == sGwamok || "359" == sGwamok) sRetGwamok = "059";
  else if("060" == sGwamok || "360" == sGwamok) sRetGwamok = "060";
  else if("076" == sGwamok || "376" == sGwamok) sRetGwamok = "076";
  else if("084" == sGwamok || "384" == sGwamok) sRetGwamok = "084";
  else if("094" == sGwamok || "394" == sGwamok) sRetGwamok = "094";
  else if("098" == sGwamok || "398" == sGwamok) sRetGwamok = "098";
  else if("025" == sGwamok || "325" == sGwamok) sRetGwamok = "025";
  else if("033" == sGwamok || "333" == sGwamok) sRetGwamok = "033";
  else if("034" == sGwamok || "334" == sGwamok) sRetGwamok = "034";
  else if("045" == sGwamok || "345" == sGwamok) sRetGwamok = "045";
  else if("058" == sGwamok || "358" == sGwamok) sRetGwamok = "058";
  else if("073" == sGwamok || "373" == sGwamok) sRetGwamok = "073";
  else sRetGwamok = sGwamok;
  return sRetGwamok;
}