function getAccountGbn(acct) { 
    sAcct = getAcctValue(acct);
    if(sAcct.length == 11) {             
        sAcctKind = getNewAccountGwamok(acct);
    } else if(sAcct.length == 12) {      
        sAcctKind = getNewAccountGwamok(acct);
    } else if(sAcct.length == 13) {         
        sAcctKind = getNewAccountGwamok(acct);
    } else if(sAcct.length == 14) {        
        sAcctKind = getNewAccountGwamok(acct);
    } else if(sAcct.length == 15) {    
        sAcctKind = getNewAccountGwamok(acct);
    } else if(sAcct.length == 16) {      
        sAcctKind = getCardValue(acct);
    }else{
        sAcctKind = "";
    }
    return sAcctKind;
}
 
function getAcctValue(acct) {
    var sAcct = "";
    for(i2=0; i2<acct.length; i2++) {
        if(isDigitChar(acct.charAt(i2)) == true) {
            sAcct += acct.charAt(i2);
        }
    }
    return sAcct;
}
 
function isDigitChar(c) {
    var x="0";
    var y="9";

    if(c < x || c > y)
        return false;
    return true;
}
 
function getNewAccountGwamok(sAccount) {
    var   bValid          = false;
    var   sNewGwamok      = null;
    var   sCheckVirtual   = null;
    var   sFullAccount    = null;
    var   iAccountlength  = 0;

    sAccount = sAccount.trim();
    if(sAccount.indexOf("-") > 0) sAccount = removeProcess(sAccount,"-");
    sFullAccount = FillZeroAccount(removeProcess(sAccount," "));
    sCheckVirtual = sAccount.substring(0,3);
    iAccountlength = sAccount.length;
  
    if( isMyAccount(sAccount) ) return "000";

    if (iAccountlength == 11) {
        sNewGwamok = "0"+sAccount.substring(3,5);
    } else if (iAccountlength == 12) {
        sNewGwamok = "0"+sAccount.substring(4,6);
    } else if(iAccountlength == 13) {
        sNewGwamok = sAccount.substring(0,3);
    } else if(iAccountlength == 14) {
        if ( isVirtualAccount(sAccount) ) { 
            sNewGwamok = sAccount.substring(0,3);
        }else{
            sNewGwamok = "0"+sAccount.substring(6,8);
        }
    } else if(iAccountlength == 15) {
        sNewGwamok = sAccount.substring(6,9);
    } else if(iAccountlength == 16) {
        sNewGwamok = sAccount.substring(0,4);
    }
    return sNewGwamok;
}
 
function FillZeroAccount(sAccount) {
    sAccount = sAccount.trim();
    var   sReturnAccount = "";
    var   sTempValue     = "";
    var   iAccountlength = 0;
    iAccountlength = sAccount.length; 
    for(i=0; i < (15-iAccountlength); i++) {
        sTempValue = "0"+sTempValue;
    }
    sReturnAccount = sTempValue + sAccount; 
    return sReturnAccount;
}

function removeProcess(str, delim){
    var retStr = '';
    if(str == null || str == '' || delim == null || delim == '')	return '';
    for(var i=0; i<str.length; i++) {
        if(str.charAt(i) != delim) {
            retStr = retStr + str.charAt(i);
        }
    }
    return retStr;
}
 
function getCardValue(cardno){
    var digit2 = cardno.substring(4,6);
    var digit6 = cardno.substring(0,6);
 
    if(digit2 == "11" || digit6 == "517823" || digit6 == "517809") {
        return "1";
    } 
    if(digit2 == "12"){
        return "2";
    } 
    if(digit6=="498820" || digit6=="498819" || digit6=="498537" || digit6=="444022" || digit6=="448535" ) {
        return "3";
    }
    return "4";
}
 
function isMyAccount(sAccount) {
    var   bValid      = false;
    var   sJoongJoBit = "";
    sAccount = sAccount.trim();
    if(sAccount.length == 10) {
        sJoongJoBit = sAccount.substring(9);
    } else if(sAccount.length == 13) {
        sJoongJoBit = sAccount.substring(12);
    }
    if( sJoongJoBit == "8" || sJoongJoBit == "9" ) bValid = true;
    else                                           bValid = false;

    return bValid;
}
 
function getNewAccountJSType(sAccount) {
    var   sType       = "";
    var   sGwamok     = "";

    sAccount = sAccount.trim();
    if(sAccount.length == 16) return "3";
    if( isMyAccount(sAccount) ) return "0";
    sGwamok = getNewAccountGwamok(sAccount);
    if ( sGwamok == null) {
        return "999"; 
    }
    if( sGwamok == "018" || sGwamok == "019" ) {
        if("0" ==  sGwamok.substring(0,1)) return "6";
    }
    switch(1*(sGwamok)) {
        case   1: case   2: case  12: case  17: case  40: case  50:           case  51: case  52: case  55: case  56: case  74:
        case 301: case 302: case 312: case 317:                               case 351: case 352: case 355: case 356: case 374:
        case 501: case 502: case 512: case 517:                               case 551: case 552: case 555: case 556: case 574:
        case   0:  
            return "0"; 
        case   5: case   6:
        case 305: case 505:
        case 306: case 506:
        return "1";  
        case   3: case   4: case  10: case  14: case  21: case  22: case  23: case  24: case  25: case  33: case  34: case  44: case  45: case  47: case  49:
        case 303: case 304: case 310: case 314: case 321:           case 323:           case 325: case 333: case 334: case 344: case 345: case 347: case 349:
        case  53: case  54: case  59: case  60: case  73: case  76: case  80: case  84: case  94: case  98:
        case 353: case 354: case 359: case 360: case 373: case 376:           case 384: case 394: case 398:
        return "2";  
        case  28: case 31: case 32: case 35: case 36: case 38: case 43: case 46:
        case  79: case 81: case 86: case 87: case 88: case 90: case 91: case 92: case 93:
        return "5"; 
        case  62:
            if( getNewJoongJo(sAccount) == "1" )   return "8";  
            else                                   return "7";  
        case  75:
            return "8";  
        case  11: case  20: case  61: case  72: case  78: case  82: case  83:
        return "7";  
        case  18: case  19: // case 68: case 69: case 183:
        return "6";  
        case 431: case 432: case 433: case 434: case 435: case 436: case 437: case 439:
        case 451: case 452: case 453: case 454: case 455: case 456: case 457: case 459: case 419:
        return "9";  
        case 64: case 65: case 66: case 67: case 790: case 791: case 792:
        return "10";  
        default: return "999";  
    }
}
 
function getNewJoongJo(sAccount){
    sAccount = sAccount.trim();
    sNewJoongJo = "1";
    if (sAccount.length == 11 || sAccount.length == 12 || sAccount.length == 15) {
        sNewJoongJo = "1";
    } else if(sAccount.length == 13 && (sAccount.substring(12)=="1" || sAccount.substring(12)=="2" || sAccount.substring(12)=="8") ) {
        sNewJoongJo = "1";  
    } else if(sAccount.length == 13 && (sAccount.substring(12)=="3" || sAccount.substring(12)=="4" || sAccount.substring(12)=="5" || sAccount.substring(12)=="9") ) {
        sNewJoongJo = "2";  
    } else if(sAccount.length == 13 && (sAccount.substring(12)=="6" || sAccount.substring(12)=="7") ) {
        sNewJoongJo = "3";  
    } else if(sAccount.length == 14) {
        if (sAccount.substring(0,3) == "790" || sAccount.substring(0,3) == "791"){
            sNewJoongJo = "1";  
        }else if (sAccount.substring(0,3) == "792") {
            sNewJoongJo = "2"; 
        }else{
            sNewJoongJo = "2";  
        }
    }
    return sNewJoongJo;
}
 
function numUnformat(obj) { 
	var temp = "";
	var n = String(obj);
	var len = n.length;
	var pos = 0;
  	var ch = '';
	while (pos < len) {
		ch = n.charAt(pos);
		if (((ch >= '0') && (ch <= '9')) || (ch == '-') || (ch == '.')) temp = temp + ch;
        pos = pos + 1;
	}
	obj.value = temp;
}
 
function numFormat(obj) {
	var temp = "";
	var buff = "";
	var i = 0;
  	var n = String(obj.value);
	if (n.charAt(0) == '-') {
		temp = '-' ;
		n = n.substring(1,n.length);
	}
	if (n.indexOf('-',0) != -1) {
		return;
	}
	var len = n.length;
	if ((pos=n.indexOf('.',0)) != -1) {
		buff = n.substring(pos,len);
		n = n.substring(0,pos);
	}
	while (n.charAt(i) == '0') i++;
	n = n.substring(i,len);
	len = n.length;
	if(len < 3) {
		obj.value = n;
		return;
	}
	else {
		var pos = len % 3;
		if (pos > 0) {
			temp = temp + n.substring(0,pos) + ',';
			len = len - pos;
		}
		while (len > 3) {
			temp = temp + n.substring(pos,pos+3) + ',';
			len = len - 3;
			pos = pos + 3;
		}
		temp = temp + n.substring(pos,pos+3) + buff;
		obj.value = temp;
	}
}

function f_checkAcct(obj, msg) {
    var sAcctValue = (typeof obj == "string")?obj:obj.value; 
    var sAcct = "";
    var sAcctKind = "";
    var result = true;
    for(i2 = 0; i2 < sAcctValue.length; i2++) {
        if(isDigitChar(sAcctValue.charAt(i2)) == true) {
            sAcct += sAcctValue.charAt(i2);
        }
    }
    if(sAcct.length < 10) {
        alert("계좌번호를 정확히 입력해주세요.");
        result = false;
        return result;
    }
    sAcctKind = getNewAccountGwamok(sAcct);
    if(CompareCipher(sAcctKind,"33")) {
        alert(msg);
        obj.value = '';
        result = false;
    }
    return result;
}


function iccn_checkAcct(obj, msg) {

	var sAcctValue 	= (typeof obj == "string")?obj:obj.value;
	var sAcct      	= "";
	var sAcctKind  	= "";

	sAcct = util_cfRemoveProcess(sAcctValue,"-");
	if(sAcct.length < 11){
		alert("계좌번호를 정확히 입력해주세요.");
		obj.focus();
		return false;
	}
	
	sAcctKind = common_cfGetNewAccountGwamok(sAcctValue);
	if(sAcctKind == "030"  || sAcctKind == "031"  || sAcctKind == "032" ||                                                                        
	   sAcctKind == "033"  || sAcctKind == "333"  || sAcctKind == "035"  || sAcctKind == "036" || sAcctKind == "037" ||
	   sAcctKind == "038"  || sAcctKind == "039"  || sAcctKind == "043"  || sAcctKind == "044" || sAcctKind == "344" ||
	   sAcctKind == "045"  || sAcctKind == "345"  || sAcctKind == "046"  || sAcctKind == "049" || sAcctKind == "349" || sAcctKind == "079" ||
	   sAcctKind == "081"  || sAcctKind == "086"  || sAcctKind == "088" ||
	   sAcctKind == "091"  || sAcctKind == "092"  || sAcctKind == "093" 
	){
		alert(msg);
		obj.value='';
		obj.focus();
		return false;
	}
	return true;
}


function isDigitChar(c) {
    
    var x="0";
    var y="9";
    
    if(c < x || c > y)
        
        return false;
    
    return true;
    
}



var _isNewFS = true;
function CompareCipher(sCode1, sCode2) {
    var   isCompare = false;
    if(_isNewFS) {
        sCode1 = FixCodeCipher(sCode1);
        sCode2 = "0"+sCode2;
    } else {
        sCode1 = FixCodeCipher(sCode1);
    }
    if(sCode1 == sCode2) isCompare = true;
    
    return isCompare;
}


function FixCodeCipher(sCode) {
    var   sNewCipherCode    = "";
    
    if(!_isNewFS) {
        if(sCode.length == 1) sNewCipherCode = "0" + sCode;
        else if(sCode.length == 2) sNewCipherCode = sCode;
        else if(sCode.length == 3) sNewCipherCode = sCode.substring(1);
    } else {
        if(sCode.length == 1) sNewCipherCode = "00" + sCode;
        else if(sCode.length == 2) sNewCipherCode = "0" + sCode;
        else if(sCode.length == 3) sNewCipherCode = sCode;
    }
    
    return sNewCipherCode;
}


function createTbsData(_jsonData){
    if( _jsonData ){
        var obj = _jsonData; 
        var resultData = '';
        for( var keyName in obj ){
            resultData += keyName + "=" + obj[keyName] + "&";
        }
        var last = resultData.lastIndexOf("&");
        return resultData.substr(0,last);
    }
}


function f_checksmoll2(_IchAmt, _muliApr, _smallMax){
    if( _muliApr != "1" ){
        if( Number(_IchAmt) <= Number(_smallMax) ){
            return "1";
        }else{
            return "2";
        }
    }else{
        return "1";
    }
}
 

function getAccountType(acct) {
    return getNewAccountJSType(acct); 
}



function resetValue(_array){
    for( var i = 0; i < _array.length; i++ ){
        if( _array[i] == "btnDeposit" ){
            depositValue = "";
            document.querySelector("#" + _array[i]).innerHTML = "선택하세요.";
        }
        document.querySelector("#" + _array[i]).value = "";
    }
}


function isVirtualAccount(sAccount) {
    var   bValid      = false;
    var   sNewGwamok  = ""; 
    sAccount = sAccount.trim();
    if(sAccount.length == 14) {
        sNewGwamok = sAccount.substring(0,3);
        if(sNewGwamok == "790" || sNewGwamok == "791" || sNewGwamok == "792") bValid = true;
        else bValid = false;
    }
    return bValid;
}


function formatAccountNum(_accountNum){
    var splitStr = _accountNum.split(" ");
    return splitStr[1];
}


function common_cfGetEternalAccount(sGjaNbr) {
	var sReturn     = "";
	var sTempGjaNbr = "";
	var sLastChar   = "";

    if (sGjaNbr == null) sTempGjaNbr = "";
	else sTempGjaNbr = sGjaNbr;
    
    sTempGjaNbr = util_cfRemoveProcess(sTempGjaNbr," ");
	sTempGjaNbr = util_cfRemoveProcess(sTempGjaNbr,"-");

    if (sTempGjaNbr.length == 10){
	    sLastChar = sTempGjaNbr.substring(9,10);
	}else if (sTempGjaNbr.length == 13){
	    sLastChar = sTempGjaNbr.substring(12,13);
    }
	
    if("8" == sLastChar){
    	sReturn = "1";
    }else if("9" == sLastChar){
	    sReturn = "2";
	}else{
	    sReturn = "0";	  }

	return sReturn;
}

function validation_cfIsMyAccount(sAccount) {
    var   bValid      = false;
    var   sJoongJoBit = "";
    sAccount = $.trim(sAccount);
    if(sAccount.length == 10) {
        sJoongJoBit = sAccount.substring(9);
    } else if(sAccount.length == 13) {
        sJoongJoBit = sAccount.substring(12);
    }
    if( sJoongJoBit == "8" || sJoongJoBit == "9" ) bValid = true;
    else                                           bValid = false;
    
    return bValid;
}


function getMappingGwamok(sGwamok) {
	try {
	    var sRetGwamok;
	    if(sGwamok.length == 2) sGwamok = "0" + sGwamok;
	    if("001" === sGwamok || "301" === sGwamok || "501" === sGwamok) sRetGwamok = "001";
	    else if("002" === sGwamok || "302" === sGwamok || "502" === sGwamok) sRetGwamok = "002";
	    else if("003" === sGwamok || "303" === sGwamok) sRetGwamok = "003";
	    else if("004" === sGwamok || "304" === sGwamok) sRetGwamok = "004";
	    else if("005" === sGwamok || "305" === sGwamok || "505" === sGwamok) sRetGwamok = "005";
	    else if("006" === sGwamok || "306" === sGwamok || "506" === sGwamok) sRetGwamok = "006";
	    else if("012" === sGwamok || "312" === sGwamok || "512" === sGwamok) sRetGwamok = "012";
	    else if("017" === sGwamok || "317" === sGwamok || "517" === sGwamok) sRetGwamok = "017";
	    else if("023" === sGwamok || "323" === sGwamok) sRetGwamok = "023";
	    else if("048" === sGwamok || "348" === sGwamok) sRetGwamok = "048";
	    else if("051" === sGwamok || "351" === sGwamok || "551" === sGwamok) sRetGwamok = "051";
	    else if("052" === sGwamok || "352" === sGwamok || "552" === sGwamok) sRetGwamok = "052";
	    else if("053" === sGwamok || "353" === sGwamok) sRetGwamok = "053";
	    else if("055" === sGwamok || "355" === sGwamok || "555" === sGwamok) sRetGwamok = "055";
	    else if("056" === sGwamok || "356" === sGwamok || "556" === sGwamok) sRetGwamok = "056";
	    else if("074" === sGwamok || "374" === sGwamok || "574" === sGwamok) sRetGwamok = "074";
	    else if("010" === sGwamok || "310" === sGwamok) sRetGwamok = "010";
	    else if("014" === sGwamok || "314" === sGwamok) sRetGwamok = "014";
	    else if("021" === sGwamok || "321" === sGwamok) sRetGwamok = "021";
	    else if("044" === sGwamok || "344" === sGwamok) sRetGwamok = "044";
	    else if("047" === sGwamok || "347" === sGwamok) sRetGwamok = "047";
	    else if("045" === sGwamok || "345" === sGwamok) sRetGwamok = "045";
	    else if("049" === sGwamok || "349" === sGwamok) sRetGwamok = "049";
	    else if("054" === sGwamok || "354" === sGwamok) sRetGwamok = "054";
	    else if("059" === sGwamok || "359" === sGwamok) sRetGwamok = "059";
	    else if("060" === sGwamok || "360" === sGwamok) sRetGwamok = "060";
	    else if("076" === sGwamok || "376" === sGwamok) sRetGwamok = "076";
	    else if("084" === sGwamok || "384" === sGwamok) sRetGwamok = "084";
	    else if("094" === sGwamok || "394" === sGwamok) sRetGwamok = "094";
	    else if("098" === sGwamok || "398" === sGwamok) sRetGwamok = "098";
	    else if("025" === sGwamok || "325" === sGwamok) sRetGwamok = "025";
	    else if("033" === sGwamok || "333" === sGwamok) sRetGwamok = "033";
	    else if("032" === sGwamok || "332" === sGwamok) sRetGwamok = "032";
	    else if("030" === sGwamok || "330" === sGwamok) sRetGwamok = "030";
	    else if("034" === sGwamok || "334" === sGwamok) sRetGwamok = "034";
	    else if("045" === sGwamok || "345" === sGwamok) sRetGwamok = "045";
	    else if("058" === sGwamok || "358" === sGwamok) sRetGwamok = "058";
	    else if("073" === sGwamok || "373" === sGwamok) sRetGwamok = "073";
	    else if("068" === sGwamok || "368" === sGwamok) sRetGwamok = "068";
	    else if("069" === sGwamok || "369" === sGwamok) sRetGwamok = "069";
	    else sRetGwamok = sGwamok;
	    return sRetGwamok;
	} catch(e) {
		return "999";
    }
}


function util_cfRemoveProcess(str, delim) {
    var retStr = '';
    if (str == null || str == '' || delim == null || delim == '')  return '';
    for (var i = 0; i < str.length; i++) {
        if (str.charAt(i) != delim) {
            retStr = retStr + str.charAt(i);
        }
    }
    return retStr;
}


function common_cfGetNewAccountGwamok(sAccount) {
	  var   bValid          = false;
	  var   sNewGwamok      = null;
	  var   sCheckVirtual   = null;
	  var   sFullAccount    = null;
	  var   iAccountlength  = 0;
	
	  sAccount =  $.trim(sAccount);
	  if(sAccount.indexOf("-") > 0) sAccount = util_cfRemoveProcess(sAccount,"-");
	  sFullAccount = util_cfFillLeftSpace(util_cfRemoveProcess(sAccount," "),15,"0");
	  sCheckVirtual = sAccount.substring(0,3);
	  iAccountlength = sAccount.length;

	if(common_cfGetEternalAccount(sAccount) == "1" || common_cfGetEternalAccount(sAccount) == "2") return "999";
	  
	if( validation_cfIsMyAccount(sAccount) ) return "000";
	
	if (iAccountlength == 11) {
	        sNewGwamok = "0"+sAccount.substring(3,5);
	} else if (iAccountlength == 12) {
	        sNewGwamok = "0"+sAccount.substring(4,6);
	} else if(iAccountlength == 13) {
	        sNewGwamok = sAccount.substring(0,3);
	} else if(iAccountlength == 14) {
	      if ( isVirtualAccount(sAccount) ) {
	      sNewGwamok = sAccount.substring(0,3);
	  }else{
	      sNewGwamok = "0"+sAccount.substring(6,8);
	      }
	} else if(iAccountlength == 15) {
	        sNewGwamok = sAccount.substring(6,9);
	} else if(iAccountlength == 16) {
	        sNewGwamok = sAccount.substring(0,4);
	}
	return getMappingGwamok(sNewGwamok);
}


function byteCheck(_str,max){
	
	var onechar;
    var tcount = 0;
    var k = 0;
    var nbytes = 0;
	var msg = "";
	_str = _str.split("&#x3c;").join("<");
	_str = _str.split("&#x3e;").join(">");	
	
    for (k = 0; k < _str.length; k++) { 
        onechar = _str.charAt(k);
        if (escape(onechar).length > 4)
            tcount = 2; 
        else if (onechar!='\r') 
            tcount = 1; 
		
		if((nbytes + tcount) > max)
			break;
	nbytes += tcount;
	msg += onechar;
	}    
    return msg;
}

