/**
 * (C) Copyright 2011. AhnLab, Inc.
 *
 * Any part of this source code can not be copied with
 * any method without prior written permission from
 * the author or authorized person.
 * 
 * @file    IV3MobilePlusCommand.aidl
 * @date    2012/02/28
 * @author  namjinha (namjinha@ahnlab.com)
 * @brief   V3 Mobile+ 2.0 AIDL Interface Library
 */

package com.ahnlab.v3mobileplus.interfaces;

import com.ahnlab.v3mobileplus.interfaces.IV3MobileRemoteCallBack;

interface IV3MobilePlusCommand 
{
	String doTask(String akey, int aCmd, String aPackageName, String parameter);
	boolean registerCallback(IV3MobileRemoteCallBack cb);
	boolean unregisterCallback(IV3MobileRemoteCallBack cb);
	void setConfig(inout Bundle config);
}